Skip to main content
GET
Text Topics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this report.

Query Parameters

configuration_id
string<uuid>

Optional configuration id to retrieve. If not provided, the primary configuration will be used.

issued_at_after
string<date-time>
issued_at_before
string<date-time>
mona_version__audience_type
enum<integer>
  • 0 - None
  • 1 - Customers
  • 2 - Employees
  • 3 - Donors
  • 4 - Media
  • 5 - Gathering 2024 Lecturees
Available options:
0,
1,
2,
3,
4,
5
name
string
only_comparable
boolean

Set to true to only include Reports that are comparable at this time (which excludes sample reports and those marked for non-comparison or incomplete), and only their Configurations that are comparable and completed with a result.

only_key_focus_topics
boolean

Optional param to limit the results to only the top key focus topics.

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

portfolio_id__in
string<uuid>[]

Multiple values may be separated by commas.

tags
(enum<string> | null)[]
  • competitive - Competitive
  • segment - Segment
  • industry - Industry
  • none - None
Available options:
competitive,
industry,
none,
segment

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"